Subject: bug#25929: 25.2; map-delete doesn't delete permanently 1st alist elt

From: Stefan Monnier <[email-masked]>
Date: Wed, 22 Mar 2017 13:02:39 -0400

> Making map-delete signal an error in the
> alist-where-bar-is-the-first-element sounds even worse to me, since the
> user may already be writing this stuff as (setq foo (map-delete foo
> 'bar)).
> (I think this was what Stefan suggested...)

Good catch, no, what I'm suggesting is to signal an error when
map-delete is called on an alist (forcing the user to use map-remove
for that instead).

        Stefan